This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 445681 - High CPU usage when idle, using EXA
High CPU usage when idle, using EXA
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 10:13 EDT by Bastien Nocera
Modified: 2008-10-25 09:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 09:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test.sysprof (3.44 MB, text/plain)
2008-05-08 10:13 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2008-05-08 10:13:15 EDT
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64
xorg-x11-drv-i810-2.2.1-24.fc9.x86_64
kernel-2.6.25-14.fc9.x86_64

After starting a session, Xorg will be consuming ~20 to ~30% of the CPU, when
the X session is idle. Switching to using XAA as the acceleration method makes
the CPU usage drop to negligible levels. With EXA on, fullscreen windows take a
few seconds to redraw.

Attached is the sysprof output when running with EXA on.

00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated
Graphics Controller (rev 02)
Comment 1 Bastien Nocera 2008-05-08 10:13:15 EDT
Created attachment 304866 [details]
test.sysprof
Comment 2 Bug Zapper 2008-05-14 06:50:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bastien Nocera 2008-10-25 09:42:10 EDT
Looks to be working fine in rawhide.

Note You need to log in before you can comment on or make changes to this bug.